// //////////////////////////////////////////////////////////////////////
// Import section
// //////////////////////////////////////////////////////////////////////
// STL
#include <sstream>
#include <cassert>
// TVLSIM 
#include <tvlsim/bom/RDSParameters.hpp>

namespace TVLSIM {

  // ////////////////////////////////////////////////////////////////////
  RDSParameters::RDSParameters () {
  }
  
  // ////////////////////////////////////////////////////////////////////
  RDSParameters::RDSParameters (const RDSParameters& iRDSParameters)
    : _scheduleInputFilename (iRDSParameters._scheduleInputFilename) {
  }

  // ////////////////////////////////////////////////////////////////////
  RDSParameters::~RDSParameters () {
  }
  
  // ////////////////////////////////////////////////////////////////////
  void RDSParameters::toStream (std::ostream& ioOut) const {
    ioOut << describe();
  }

  // ////////////////////////////////////////////////////////////////////
  void RDSParameters::fromStream (std::istream& ioIn) {
  }
  

  // ////////////////////////////////////////////////////////////////////
  const std::string RDSParameters::describe() const {
    std::ostringstream ostr;

    ostr << "RDS Parameters: " << std::endl;

    ostr << " Schedule file: " << _scheduleInputFilename;
    ostr << std::endl;

    return ostr.str();
  }

}
